package com.fs.store.param;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import java.io.Serializable;
import java.time.LocalDate;
import java.util.Set;

@Data
public class OrderStatisticsParam implements Serializable {
    /**
     * 企业ID
     **/
    private Long companyId;

    /**
     * 员工账号
     **/
    private String userName;

    /**
     * 销售名称
     **/
    private String companyUser;

    /**
     * 商品名称
     **/
    private String productName;

    /**
     * 标签名称
     **/
    private String cateName;

    /**
     * 起始日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate startDate;

    /**
     * 结束日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate endDate;

    /**
     * 分组类型（1：员工、2：标签、3：商品）
     **/
    private Integer groupType;

    /**
     * 标签ID
     * **/
    private Long cateId;


    /**
     * 商品ID
     * **/
    private Long productId;
}
